{ eval.c }
procedure rb_exc_raise(mesg: Tvalue);
procedure rb_exc_fatal(mesg: Tvalue);
procedure rb_remove_method(klass: Tvalue; const name: PChar);
procedure rb_disable_super(klass: Tvalue; const name: PChar);
procedure rb_enable_super(klass: Tvalue; const name: PChar);
{$IFDEF RUBY18}
procedure rb_define_alloc_func(klass: Tvalue; func: TAttr0);
procedure rb_undef_alloc_func(klass: Tvalue);
{$ENDIF}
procedure rb_clear_cache;
procedure rb_alias(klass: Tvalue; name, def: Tid);
procedure rb_attr(klass: Tvalue; id: Tid; read, write, ex: Integer);
function rb_method_boundp(klass: Tvalue; id: Tid; ex: Integer): Integer;
function rb_dvar_defined(id: Tid): Tvalue;
function rb_dvar_ref(i: Tid): Tvalue;
procedure rb_dvar_asgn(id: Tid; v: Tvalue);
procedure rb_dvar_push(id: Tid; v: Tvalue);
function rb_eval_cmd(cmd, arg: Tvalue): Tvalue;
function rb_respond_to(obj: Tvalue; id: Tid): Integer;
procedure rb_interrupt;
function rb_apply(recv: Tvalue; mid: Tid; args: Tvalue): Tvalue;
procedure rb_backtrace;
{$IFDEF RUBY19}
function rb_frame_this_func: Tid;
{$ELSE}
function rb_frame_last_func: Tid;
{$ENDIF}
function rb_obj_instance_eval(argc: Integer; argv: Pvalue; This: Tvalue): Tvalue;
procedure rb_set_end_proc(func: TFunc0; data: Tvalue);
procedure rb_exec_end_proc;
procedure rb_mark_end_proc;
procedure rb_gc_mark_threads;
procedure rb_thread_start_timer;
procedure rb_thread_stop_timer;
procedure rb_thread_schedule;
procedure rb_thread_wait_fd(fd: Integer);
function rb_thread_fd_writable(fd: Integer): Integer;
procedure rb_thread_fd_close(fd: Integer);
function rb_thread_alone: Integer;
procedure rb_thread_sleep(time: Integer);
procedure rb_thread_sleep_forever;
function rb_thread_stop: Tvalue;
function rb_thread_wakeup(thread: Tvalue): Tvalue;
function rb_thread_run(thread: Tvalue): Tvalue;
function rb_thread_create(fn: TFunc0; arg: Pointer): Tvalue;
function rb_thread_scope_shared_p: Integer;
procedure rb_thread_interrupt;
procedure rb_thread_trap_eval(cmd: Tvalue; sig: Integer);
procedure rb_thread_signal_raise(sig: PChar);
function rb_thread_select: Integer;
procedure rb_thread_wait_for;
function rb_thread_current: Tvalue;
function rb_thread_main: Tvalue;
function rb_thread_local_aref(thread: Tvalue; id: Tid): Tvalue;
function rb_thread_local_aset(thread: Tvalue; id: Tid; val: Tvalue): Tvalue;

